/*********************************************************
 * A connect sound plugin - Version 1.0                  *
 *********************************************************
 *                                                       *
 * Name: plugin_rindy_connectsound                       *
 * Author: Rinde (rinde@fiatnox.de)                      *
 * Released: 3/11/02                                     *
 *                                                       *
 * Version 1.0:                                          *
 *                                                       *
 *  -  Initial release                                   *
 *                                                       *
 *********************************************************
 */

/* Includes */
#include <plugin>
#include <adminlib>

/* Constants */
#define ACCESS_SOUND ACCESS_ALL

/* Global Variables */
new g_Version[] = "1.0";
new Sound[] = "sound/ambience/thunderclap.wav";
new g_Connected[MAX_PLAYERS];

/* Function Declarations */
forward specmode(HLCommand,HLData,HLUserName,UserIndex);

/* Event Handlers */
public plugin_init() {
    plugin_registerinfo("Rinde's Connect Sound Plugin","Plays a sound to every user that connects.",g_Version);
    plugin_registercmd("specmode","specmode",ACCESS_ALL);
    return PLUGIN_CONTINUE;
}

public plugin_disconnect(HLUserName,UserIndex) {

    return PLUGIN_CONTINUE;
}

/* Command Handlers */
public specmode(HLCommand,HLData,HLUserName,UserIndex) {
    if(!g_Connected[UserIndex] && access(ACCESS_SOUND)) {
        g_Connected[UserIndex] = 1;
        new UserName[MAX_NAME_LENGTH];
        convert_string(HLUserName,UserName,MAX_NAME_LENGTH);
        if(allowsound(UserName)) {
            playsound(UserName,Sound);
        }
    }
    return PLUGIN_CONTINUE;
}

new Key[]="am_sound";

public allowsound(User[]){
    new Info[MAX_NUMBER_LENGTH];
    new iInfo;
    new Authid[MAX_AUTHID_LENGTH];
    get_userAuthID(User,Authid,MAX_AUTHID_LENGTH);
    if(strcmp(Authid,"BOT")!=0){
        get_userinfo(User,Key,Info,MAX_NUMBER_LENGTH);
        iInfo=strtonum(Info);
        if(strlen(Info)==0 || iInfo>=1 ){/*damit wird automatisch immer der Sound auf 1 gesetzt,wenn kein setinfo vorhanden, bis 'stop' eingegeben wird*/
            return 1;
        }else{
            return 0;
        }
    }
    return 0;
}